<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="200px" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000052 -->
           <el-tab-pane label="Items Overview" name="sptroup">
                <m-sptroup :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000035 -->
           <el-tab-pane label="Pending Item" name="sptnegp">
                <m-sptnegp :model="model" :codes="codes"/>
           </el-tab-pane>
 
            <!--PD000090 -->
           <el-tab-pane label="Configure Print Reroute" name="prtcfg">
                <m-prtcfg :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Sptrou from "~/model/Sptrou"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Sptrou/Check"
import Default from "~/model/Sptrou/Default"
import Pattern from "~/model/Sptrou/Pattern"
import Sptroup from "./Sptroup"
import Sptnegp from "./Sptnegp"
import Prtcfg from "./Prtcfg"


export default {
    components:{
        "m-sptroup" : Sptroup,
        "m-sptnegp" : Sptnegp,
        "m-prtcfg" : Prtcfg,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "sptroup",
            trnName: "sptrou",
            model: new Sptrou().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {
            },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入sptrou交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
